Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.jsi
Class JSIHandlerContext

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.comm.jsi.JSIHandlerContext

public final class JSIHandlerContext
extends java.lang.Object

A context used for processing regular and interim messages. An interim message is one that is sent by the handler in the course of processing a request.

Constructor Summary
`JSIHandlerContext(JSIChannel jc)` Construct a context with the given values and the default set of root handlers.
`JSIHandlerContext(JSIHandlerRoot rootHandlers, JSIChannel jc)` Construct a context with the given values.

Method Summary
`static void` | `addDefaultRootHandler(java.lang.String name, JSIHandler handler)` Add a JSIHandler to the set of default roots.
`JSIChannel` | `getChannel()`
`static JSIHandlerRoot` | `getDefaultRootHandlers()`
`JSIHandlerRoot` | `getRootHandlers()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSIHandlerContext

    public JSIHandlerContext(JSIHandlerRoot rootHandlers,
                             JSIChannel jc)

  Construct a context with the given values.
  Parameters:
    `rootHandlers` - The set of root handlers.
    `jc` - A connected channel.

### JSIHandlerContext

    public JSIHandlerContext(JSIChannel jc)

  Construct a context with the given values and the default set of root handlers.
  Parameters:
    `jc` - A connected channel.

Method Detail

### getDefaultRootHandlers

    public static JSIHandlerRoot getDefaultRootHandlers()

  Returns:
    The default set of root handlers.

### addDefaultRootHandler

    public static void addDefaultRootHandler(java.lang.String name,
                                             JSIHandler handler)

  Add a JSIHandler to the set of default roots.
  Parameters:
    `name` - The name of the root handler.
    `handler` - The handler itself.

### getRootHandlers

    public JSIHandlerRoot getRootHandlers()

  Returns:
    The set of root handlers.

### getChannel

    public JSIChannel getChannel()

  Returns:
    The channel used to send interim messages.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002